io.etcd.jetcd.api

## Interface WatchCreateRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  WatchCreateRequest, WatchCreateRequest.Builder

    public interface WatchCreateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`WatchCreateRequest.FilterType` `getFilters(int index)` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersCount()` filters filter the events at server side before it sends back to the watcher.
`List<WatchCreateRequest.FilterType>` `getFiltersList()` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersValue(int index)` filters filter the events at server side before it sends back to the watcher.
`List<Integer>` `getFiltersValueList()` filters filter the events at server side before it sends back to the watcher.
`com.google.protobuf.ByteString` `getKey()` key is the key to register for watching.
`boolean` `getPrevKv()` If prev_kv is set, created watcher gets the previous KV before the event happens.
`boolean` `getProgressNotify()` progress_notify is set so that the etcd server will periodically send a WatchResponse with no events to the new watcher if there are no recent events.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the end of the range [key, range_end) to watch.
`long` `getStartRevision()` start_revision is an optional revision to watch from (inclusive).

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the key to register for watching.

`bytes key = 1;`

Returns:
  The key.

#### getRangeEnd

    com.google.protobuf.ByteString getRangeEnd()

     range_end is the end of the range [key, range_end) to watch. If range_end is not given,
     only the key argument is watched. If range_end is equal to '\0', all keys greater than
     or equal to the key argument are watched.
     If the range_end is one bit larger than the given key,
     then all keys with the prefix (the given key) will be watched.

`bytes range_end = 2;`

Returns:
  The rangeEnd.

#### getStartRevision

    long getStartRevision()

     start_revision is an optional revision to watch from (inclusive). No start_revision is "now".

`int64 start_revision = 3;`

Returns:
  The startRevision.

#### getProgressNotify

    boolean getProgressNotify()

     progress_notify is set so that the etcd server will periodically send a WatchResponse with
     no events to the new watcher if there are no recent events. It is useful when clients
     wish to recover a disconnected watcher starting from a recent known revision.
     The etcd server may decide how often it will send notifications based on current load.

`bool progress_notify = 4;`

Returns:
  The progressNotify.

#### getFiltersList

    List<WatchCreateRequest.FilterType> getFiltersList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Returns:
  A list containing the filters.

#### getFiltersCount

    int getFiltersCount()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Returns:
  The count of filters.

#### getFilters

    WatchCreateRequest.FilterType getFilters(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The filters at the given index.

#### getFiltersValueList

    List<Integer> getFiltersValueList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Returns:
  A list containing the enum numeric values on the wire for filters.

#### getFiltersValue

    int getFiltersValue(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of filters at the given index.

#### getPrevKv

    boolean getPrevKv()

     If prev_kv is set, created watcher gets the previous KV before the event happens.
     If the previous KV is already compacted, nothing will be returned.

`bool prev_kv = 6;`

Returns:
  The prevKv.